#ifndef _GENERIC_OBJECT_H
#define _GENERIC_OBJECT_H


#include <GL/glut.h>
#include "scene_object.h"

class generic_object_t:public scene_object_t {
public:
	generic_object_t(GLfloat init_pos_x = 0.0f,	// Coordinate.
			GLfloat init_pos_y = 0.0f,
			GLfloat init_pos_z = 0.0f,
			GLfloat lookat_x = 0.0f,	// Coordinate.
			GLfloat lookat_y = 0.0f,
			GLfloat lookat_z = -1.0f,
			GLfloat up_x = 0.0f,	// Vector.
			GLfloat up_y = 1.0f,
			GLfloat up_z = 0.0f);
	~generic_object_t();

private:
	void	draw_here(void);
	GLuint	list_num;	// Display list number.
};


#endif